Obtener entrega de evento
curl --request GET \
--url https://spb.sandbox.lerian.net/v1/str/event-deliveries/{deliveryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spb.sandbox.lerian.net/v1/str/event-deliveries/{deliveryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spb.sandbox.lerian.net/v1/str/event-deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempts": [
{
"attemptNumber": 1,
"attemptedAt": "2026-06-14T12:00:00Z",
"deliveryAttemptId": "550e8400-e29b-41d4-a716-446655440020",
"deliveryId": "550e8400-e29b-41d4-a716-446655440010",
"status": "DELIVERED",
"errorSummary": "<string>",
"responseStatus": 200
}
],
"correlationId": "550e8400-e29b-41d4-a716-446655440004",
"delivery": {
"attempts": 1,
"createdAt": "2026-06-14T12:00:00Z",
"deliveryId": "550e8400-e29b-41d4-a716-446655440010",
"eventId": "550e8400-e29b-41d4-a716-446655440011",
"eventType": "str.operation.accepted",
"status": "DELIVERED",
"updatedAt": "2026-06-14T12:00:00Z",
"webhookId": "550e8400-e29b-41d4-a716-446655440012",
"lastAttemptAt": "2026-06-14T12:00:00Z",
"lastError": "<string>",
"nextRetryAt": "2026-06-14T12:00:00Z",
"operationId": "550e8400-e29b-41d4-a716-446655440013"
}
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Obtener entrega de evento
Devuelve una única fila event_delivery más su historial de intentos. Las búsquedas de ids desconocidos aparecen como no encontrado (SPB-0010), byte a byte idénticas a las de un recurso realmente inexistente.
GET
/
v1
/
str
/
event-deliveries
/
{deliveryId}
Obtener entrega de evento
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de ruta
Delivery UUID.
Ejemplo:
"550e8400-e29b-41d4-a716-446655440010"
Respuesta
OK
Chronological attempt history for the delivery.
Show child attributes
Show child attributes
Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.
Ejemplo:
"550e8400-e29b-41d4-a716-446655440004"
The event delivery record.
Show child attributes
Show child attributes
¿Esta página le ayudó?

